@font-face {
    font-family: 'Poppins';
    src: url(../fontes/Poppins/Poppins-Regular.ttf);
    font-weight: 400;
}

@font-face {
    font-family: 'Poppins';
    src: url(../fontes/Poppins/Poppins-SemiBold.ttf);
    font-weight: 700;
}

@font-face {
    font-family: 'Poppins';
    src: url(../fontes/Poppins/Poppins-Bold.ttf);
    font-weight: 900;
}

.widget-whatsappForm-lead * {
    font-family: 'Poppins' !important;
    margin: 0 !important;
    padding: 0 !important;
    box-sizing: border-box !important;
}

.widget-whatsappForm-lead .float-space {
    position: fixed !important;
    bottom: 20px !important;
    right: 20px !important;
    z-index: 1050 !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    cursor: pointer !important;
    color: black !important;
}


.widget-whatsappForm-lead .txt-fc {
    background-color: #fff !important;
    border-radius: 100px !important;
    padding: 13px 70px 13px 20px !important;
    margin-right: -50px !important;
    font-weight: 700 !important;
    width: max-content !important;
    display: inline-block !important;
    max-width: max-content !important;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, .1)  !important;
}

.widget-whatsappForm-lead .div-whatsappform {
    position: fixed !important;
    bottom: 20px !important;
    right: 20px !important;
    width: 90% !important;
    height: auto !important;
    max-width: 400px !important;
    border-radius: 20px !important;
    max-height: calc(100vh - 40px) !important;
    max-height: calc(100dvh - 40px) !important;
    overflow: auto !important;
    scrollbar-width: thin !important;
    animation-duration: 400ms !important;
    -webkit-animation-name: fadeInUp !important;
    animation-name: fadeInUp  !important;
}

.widget-whatsappForm-lead .parent-div-whatsappform {
    content: '' !important;
    position: fixed !important;
    display: none !important;
    width: 100vw !important;
    z-index: 1050 !important;
    height: 100vh !important;
    height: 100dvh !important;
    background: rgba(0, 0, 0, .3) !important;
    backdrop-filter: blur(5px) !important;
    -webkit-backdrop-filter: blur(5px) !important;
    top: 0 !important;
    left: 0 !important;
}

.widget-whatsappForm-lead .formWhatsappLead {
    background-color: #fff !important;
    padding: 0 0 10px 0 !important;
    border-radius: 0 0 10px 10px  !important;
}

.widget-whatsappForm-lead .formWhatsappLead .form-body {
    background: #ebebeb !important;
    background: url(/images/whatsapp-bg.png) !important;
    padding: 20px 20px 10px 20px !important;
}

.widget-whatsappForm-lead .formWhatsappLead .campos-form {
    max-height: 300px !important;
    overflow: auto !important;
    scrollbar-width: thin !important;
}

.widget-whatsappForm-lead.open .parent-div-whatsappform {
    display: block  !important;
}

.widget-whatsappForm-lead.open .float-space {
    display: none  !important;
}

.widget-whatsappForm-lead .div-whatsappform .wppl-header {
    color: #fff !important;
    display: flex !important;
    align-items: start !important;
    justify-content: space-between !important;
    padding: 15px 10px !important;
    background-color: #264435 !important;
    border-radius: 10px 10px 0 0 !important;
}

.widget-whatsappForm-lead .div-whatsappform .attendant-area{
    display: flex !important;
    align-items: center !important;
}


.widget-whatsappForm-lead .div-whatsappform .attendant-area .img img{
    border-radius: 100px !important;
    max-width: 55px !important;
    object-fit: contain !important;
    border: 5px solid white !important;
    max-height: 55px !important;
}

.widget-whatsappForm-lead .div-whatsappform .attendant-area .img{
    position: relative !important;
 }
 .widget-whatsappForm-lead .div-whatsappform .attendant-area .img::before{
    position: absolute !important;
    content: '' !important;
    width: 7px !important;
    height: 7px !important;
    border-radius: 100px !important;
    background-color: rgb(5, 241, 123) !important;
    border: 3px solid white !important;
    bottom: 10px !important;
    right: 2px !important;
    display:none !important;
 }


.widget-whatsappForm-lead .div-whatsappform .attendant-area .text{
 margin-left: 10px !important;
 }
 .widget-whatsappForm-lead .div-whatsappform .attendant-area .name{
    font-weight: 700 !important;
    font-size: 16px !important;
    text-align: left !important;
 }

 .widget-whatsappForm-lead .div-whatsappform .attendant-area .desc{
    font-size: 12px !important;
    text-align: left !important;
 }

.widget-whatsappForm-lead .div-whatsappform .title .txt {
    font-size: 15px !important;
    text-align: left !important;
}

.widget-whatsappForm-lead .formWhatsappLead .fr {
    position: relative !important;
    margin-bottom: 12px !important;
}

.widget-whatsappForm-lead .formWhatsappLead label {
    display: none !important;
    text-align: left  !important;
}

.widget-whatsappForm-lead .btn-close-whatsappForm-lead {
    background-color: transparent !important;
    border: none !important;
    outline: 0 !important;
    color: #fff !important;
}
.widget-whatsappForm-lead .btn-close-whatsappForm-lead:hover {
    color: red !important;
    cursor: pointer !important;
}
.widget-whatsappForm-lead .formWhatsappLead input {
    display: block !important;
    padding: 14px 10px !important;
    box-sizing: border-box !important;
    border-radius: 5px !important;
    width: 100% !important;
    border: 1px solid silver !important;
    color:black !important;
    background-color: #fff !important;
    outline: none  !important;
}
.widget-whatsappForm-lead .formWhatsappLead input.invalid {
    border-color: red !important;
}
.widget-whatsappForm-lead .formWhatsappLead input::placeholder {
    color:#666666 !important;
 }
.widget-whatsappForm-lead .formWhatsappLead input:not(.invalid):focus {
    border-color: #7e7e7e !important;
}

.widget-whatsappForm-lead .formWhatsappLead .input-error-message {
    margin: 2px 0 !important;
    font-size: 14px !important;
    color: #f73434 !important;
    display: none !important;
    text-align: left !important;
    padding: 0px  !important;
}

.widget-whatsappForm-lead .formWhatsappLead input.invalid + .input-error-message {
    display: block  !important;
}

.widget-whatsappForm-lead .btn-formWhatsappLead {
    padding: 14px 10px !important;
    border-radius: 100px !important;
    width: calc(100% - 40px) !important;
    outline: 0 !important;
    border: none !important;
    text-transform: uppercase !important;
    font-weight: bolder !important;
    color: #fff !important;
    letter-spacing: 1px !important;
    margin: auto !important;
    background: #2ad864 !important;
    text-align: center !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    text-overflow: ellipsis !important;
    overflow: hidden !important;
    position: relative !important;
}

.widget-whatsappForm-lead .btn-formWhatsappLead span {
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    text-wrap: nowrap !important;
    font-size: 14px !important;
    margin-top: 2px !important;
}

.widget-whatsappForm-lead .btn-formWhatsappLead svg {
    margin-right: 5px !important;
}

.widget-whatsappForm-lead .btn-formWhatsappLead:hover {
    background: #23b955 !important;
    cursor: pointer  !important;
}

.widget-whatsappForm-lead.loading .btn-formWhatsappLead {
    color: #43a047 !important;
    background: #81c784  !important;
}

.widget-whatsappForm-lead.loading .btn-formWhatsappLead :is(span, svg) {
    display: none !important;
}

.widget-whatsappForm-lead.loading .btn-formWhatsappLead:hover {
    color: #43a047 !important;
    background: #a5d6a7 !important;
    cursor: default
}

.widget-whatsappForm-lead.loading .btn-formWhatsappLead .loading-animation {
    display: block  !important;
}

.widget-whatsappForm-lead .btn-formWhatsappLead .loading-animation {
    width: 20px !important;
    height: 20px !important;
    border: 2px solid white !important;
    border-right-color: transparent !important;
    border-radius: 100px !important;
    animation: load .8s linear infinite !important;
    margin: 0 auto !important;
    display: none !important;
}

.widget-whatsappForm-lead .btn-whatsapp-lead {
    position: relative !important;
    background-color: transparent !important;
    border: none !important;
    outline: 0 !important;
    display: block !important;
    cursor: pointer !important;
    padding: 20px !important;
    background-color: #2ad864 !important;
    color: #fff !important;
    border-radius: 100px !important;
    width: 80px !important;
    height: 80px !important;
}

.widget-whatsappForm-lead .formWhatsappLead .btn-act {
    padding: 10px 2px !important;
    display: block !important;
    text-decoration: none !important;
    color: #009bd8 !important;
    border-radius: 100px !important;
    width: 150px !important;
    text-align: center !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    font-size: 14px  !important;
    margin: 20px 0 12px !important;
}

.widget-whatsappForm-lead .formWhatsappLead .btn-act:hover {
    background-color: #cbf0ff !important;
    text-decoration: underline  !important;
}

.widget-whatsappForm-lead .formWhatsappLead .btn-act span {
    margin-left: 5px !important;
}

.widget-whatsappForm-lead .errofr {
    margin: 15px 0 !important;
    font-size: 14px !important;
    color: #f73434 !important;
    text-align: center !important;
    display: none  !important;
}

.widget-whatsappForm-lead .errofr.show {
    display: block  !important;
}

.widget-whatsappForm-lead .formWhatsappLead p.ttbtnc {
    padding-top: 10px !important;
    color: #5f5f5f !important;
    text-align: center !important;
    border-bottom: 1px solid #a1a1a1 !important;
    margin: 0 20px 20px !important;
    padding-bottom: 15px  !important;
}

.widget-whatsappForm-lead .formWhatsappLead .btn-acts {
    display: flex !important;
    align-items: center !important;
    justify-content: space-evenly !important;
}


.widget-whatsappForm-lead .formWhatsappLead .btn-acts .pipe {
    color: silver !important;
}

.widget-whatsappForm-lead .made-in {
    text-align: center !important;
    justify-content: center !important;
    align-items: center !important;
    display: none !important;
    /* display: flex !important; */
    font-size: 14px !important;
    border-top: 1px solid rgb(233, 233, 233) !important;
    padding: 10px 10px !important;
    margin: 0 20px !important;
    color: black !important;
}

.widget-whatsappForm-lead img {
    width: 80px !important;
    margin-top: 8px !important;
    margin-left: 5px !important;
}

@media (max-width: 360px) {
    .widget-whatsappForm-lead .formWhatsappLead .btn-act {
        font-size: 12px  !important;
    }
}

@keyframes load {
    to {
        transform: rotate(360deg)
    }
}

@-webkit-keyframes fadeInUp {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0)
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0)
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}
